# Cifrador
Date: 2016-11-30

utiles

## Class Cifrador

- java.lang.Object
- - utiles.Cifrador

    public class Cifrador
    extends java.lang.Object

Author:
  idelcano

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `cifrar(java.lang.String clave, java.lang.String mensaje)`
`java.lang.String` `descifrar(java.lang.String clave, java.lang.String mensaje)`
`static Cifrador` `getInstance()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static Cifrador getInstance()

#### cifrar

    public java.lang.String cifrar(java.lang.String clave,
                                   java.lang.String mensaje)

#### descifrar

    public java.lang.String descifrar(java.lang.String clave,
                                      java.lang.String mensaje)